Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005124OCaml~DO NOT USE (was: OCaml general)public2010-08-12 01:312010-08-19 04:07
Reporteryallop 
Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version3.12.1+dev 
Summary0005124: Subsitution inside a signature leads to odd printing
DescriptionNote the printed value for N ("sig and ..."):

        Objective Caml version 3.12.0

# module type M = sig type t and s = t end;;
module type M = sig type t and s = t end
# module type N = M with type t := int;;
module type N = sig and s = int end
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005640)
garrigue (manager)
2010-08-19 04:07

Thanks for the report.
This will be fixed in 3.12.1.
(Corrected in typemod.ml, revision 10650)

- Issue History
Date Modified Username Field Change
2010-08-12 01:31 yallop New Issue
2010-08-19 04:07 garrigue Note Added: 0005640
2010-08-19 04:07 garrigue Status new => closed
2010-08-19 04:07 garrigue Resolution open => fixed
2010-08-19 04:07 garrigue Fixed in Version => 3.12.1+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker